#ifndef _FILEIO_H
#define _FILEIO_H

#ifdef WIN32
	#include <Windows.h>
#endif

#include<string>

#include "types.h"


HANDLE create_io_file(const char* file_name,
		DWORD desired_access,
		DWORD creation_despositions,
		DWORD flags_attributes);

u_long read_io_file(HANDLE file_handle,
		 LPVOID read_buffer,
		 DWORD  bytes_to_read); 

u_long write_io_file(HANDLE file_handle,
					 LPVOID read_buffer,
					 DWORD  bytes_to_write); 

bool close_io_file(HANDLE file_handle);



#endif //_FILEIO_H